For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet all ReportSubscriptions
      • POSTCreate a report subscription
      • GETGet ReportSubscription
      • DELDelete ReportSubscription
      • PATCHUpdate ReportSubscription
      • POSTTrigger ReportSubscription by resourceId
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIReport Subscriptions

Create a report subscription

POST
/v:version/report-subscriptions
POST
/v:version/report-subscriptions
$curl -X POST https://test.api.solvimon.com/v1/report-subscriptions \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "report_configuration_id": "string"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "report_configuration_id": "string",
5 "report_code": "string",
6 "format": "CSV",
7 "trigger": "INVOICE_TO_FINAL",
8 "schedule": {
9 "time_of_day": 1,
10 "day_of_week": "MONDAY",
11 "day_of_month": 1
12 },
13 "active": true,
14 "export_location": {
15 "integration_id": "string",
16 "variant": "BIGQUERY",
17 "stream_name": "string",
18 "bigquery": {
19 "dataset_id": "string"
20 },
21 "s3": {
22 "bucket_path": "string",
23 "path_format": "string",
24 "format_type": "CSV"
25 },
26 "gcs": {
27 "bucket_path": "string",
28 "path_format": "string",
29 "format_type": "CSV"
30 }
31 },
32 "parameter_values": [
33 {
34 "name": "report_date",
35 "value": "string"
36 }
37 ]
38}

Requires the REPORT_SUBSCRIPTION.CREATE permission.

Was this page helpful?
Previous

Get ReportSubscription

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
report_configuration_idstringRequired

Resource ID of type REPORT_CONFIGURATION

formatenumOptional
Allowed values:
triggerenum or nullOptional
Allowed values:
scheduleobjectOptional
activebooleanOptional
export_locationobjectOptional
parameter_valueslist of objectsOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
report_configuration_idstring

Resource ID of type REPORT_CONFIGURATION

report_codestring or nullRead-only
formatenum
Allowed values:
triggerenum or null
Allowed values:
scheduleobject
activeboolean
export_locationobject
parameter_valueslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error